%define major_version 1.4
%define minor_version 0
%define lib_major 0
%define lib_name %mklibname glom-1_ %{lib_major}

Name:           glom
Version:        %{major_version}.%{minor_version}
Release:        %mkrel 1
Summary:        Easy-to-use database designer and user interface.
Group:          Development/Databases
License:        GPL
URL:            http://www.glom.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glom/%{major_version}/%{name}-%{major_version}.%{minor_version}.tar.bz2
Patch0:         glom-1.0.5-poconfig.patch
Patch1:         glom-1.2.2-py25.patch
Patch2:		glom-1.3.10_fix_postgresql
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  bakery-devel >= 2.4
BuildRequires:  desktop-file-utils gettext intltool
BuildRequires:  libgdamm-devel >= 1.3.7
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  gnome-python-gda gnome-python-gda-devel
BuildRequires:  libgnomecanvasmm2.6-devel >= 2.10
BuildRequires:  libgnome2-devel >= 2.6.0
BuildRequires:  libxslt-devel >= 1.1.10
BuildRequires:  pygtk2.0-devel >= 2.6
BuildRequires:  gnome-doc-utils
BuildRequires:  scrollkeeper
BuildRequires:  startup-notification-devel
BuildRequires:  iso-codes
BuildRequires: libxslt-proc
BuildRequires: libgtksourceviewmm-devel
BuildRequires: postgresql postgresql-contrib postgresql-devel postgresql-pl postgresql-plpgsql postgresql-plpython postgresql-server
BuildRequires: gettext-devel

Requires: gda1.2-postgres
Requires: postgresql postgresql-contrib postgresql-devel postgresql-pl postgresql-plpgsql postgresql-plpython postgresql-server

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper


%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the PostgreSQL database backend.

%package -n     %{lib_name}
Summary:        %{Summary}
Group:          System/Libraries

%description -n %{lib_name}
A support library for accessing Glom data.

%prep
%setup -q
#%patch0 -p1 -b .poconfig
#%patch1 -p1 -b .py25
#%patch2 -p0 -b .postgresql


%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
        --disable-rpath \
	--with-postgres-utils=/usr/bin
%make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
#make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#rm -f ${RPM_BUILD_ROOT}%{_libdir}/libglom.so

%post
%update_scrollkeeper
%{update_desktop_database}
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_scrollkeeper
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/libglom.so
%{_libdir}/python2.5/site-packages/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/*
%{_datadir}/omf/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*



%changelog
* Fri Mar 16 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 144725
- New version 1.4.0

* Sun Mar 11 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.12-1mdv2007.1
+ Revision: 141382
- New release 1.3.12
- Add Requires

* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.11-1mdv2007.1
+ Revision: 134981
- Build
- Build
- Build
- New release 1.3.11
- Add Patch for PostgreSQL
- Remove test on arch
- New release 1.3.10

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 104892
- Add BuildRequires
- Add iso-codes
- Fix bakery-devel BR
- Add BuildRequires
- Import glom

